# Contributing

**Thank you very much for considering contributing to this project!**

We welcome any form of contribution:

- New Issues (feature requests, bug reports, questions, ideas, ...)
- Pull Requests (documentation improvements, code improvements, new features,
  ...)

**Note**: Before you take the time to open a pull request, please open an issue
first. This will give us the chance to discuss any potential changes first.

## Opening a Pull Request

Pull requests are the best way to propose changes to the codebase. We actively
welcome your pull requests:

1. Fork the repo and create your branch from `main`.
2. If you've added code that should be tested, add tests.
3. If you've changed APIs, update the documentation.
4. Ensure the test suite passes: the CI will help you.
5. Create the pull request.

**Note:** Pull-requests can only be merged if the CI passes.

## License

By contributing, you agree that your contributions will be licensed under this
[license](LICENSE).

## Important Links

- [Open Issues](https://github.com/sdsc-ordes/modos-api/issues)
- [Open Pull Requests](https://github.com/sdsc-ordes/modos-api/pulls)
- [Development Section in the README](https://github.com/sdsc-ordes/modos-api#contributing)
- [LICENSE](https://github.com/sdsc-ordes/modos-api/blob/main/LICENSE)
